package com.mamezou.springconfigured;

import org.springframework.beans.factory.annotation.Configurable;

@Configurable
public class Person {
    private int id;
    private String name;
    private PersonDao personDao;
    
    public void save() {
        personDao.save(this);
    }
    public void setPersonDao(PersonDao injectedClass) {
        this.personDao = injectedClass;
    }
    public int getId() {
        return id;
    }
    public void setId(int id) {
        this.id = id;
    }
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
}
